"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class QueuedPromise {
    constructor(resolve, reject, promiseFactory) {
        this.resolve = resolve;
        this.reject = reject;
        this.promiseFactory = promiseFactory;
    }
    /**
     * Build and execute the underlying promise
     */
    execute() {
        this.promiseFactory()
            .then(this.resolve)
            .catch(this.reject);
    }
}
exports.QueuedPromise = QueuedPromise;
//# sourceMappingURL=QueuedPromise.js.map