import { RequestParams } from './Params';
export declare enum SearchCategory {
    TV = "tv",
    Movies = "movies",
}
export declare enum JsonFormat {
    JSON = "json",
    JSON_EXTENDED = "json_extended",
}
export declare enum SortOrder {
    LAST = "last",
    SEEDERS = "seeders",
    LEECHERS = "leechers",
}
export interface SearchParams extends RequestParams {
    search_string?: string;
    search_imdb?: string;
    category?: SearchCategory;
    format?: JsonFormat;
    min_seeders?: number;
    min_leechers?: number;
    ranked?: boolean;
    sort?: SortOrder;
    limit?: number;
}
export declare class DefaultSearch implements SearchParams {
    readonly search_string?: string;
    readonly category: SearchCategory;
    format: JsonFormat;
    ranked?: boolean;
    sort?: SortOrder;
    limit?: number;
    mode: string;
    constructor(searchString: string, category: SearchCategory);
}
